cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Petrov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-10890) I am using centos 6. I upgraded from cassandra 2.0.8 to 3.0.1. when i run cqlsh, it shows 'cql shell requires python 2.7' . i installed python 2.7 but still my cql shell is not working.
Date Wed, 06 Jul 2016 16:38:11 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-10890?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15364584#comment-15364584
] 

Alex Petrov commented on CASSANDRA-10890:
-----------------------------------------

There might be a problem with packaging on centOS, although as far as I know Cassandra team
is not in control of centOS package. 

If the operating system is still using the default python (which might be lower or higher)
by default, there's little we can do in that case as default interpreter is picked up. 

If there's an equivalent of debian {{update-alternatives}} on centOS, I'd suggest trying that
first.

> I am using centos 6. I upgraded from cassandra 2.0.8 to 3.0.1. when i run cqlsh, it shows
'cql shell requires python 2.7' . i installed python 2.7 but still my cql shell is not working.

> ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: CASSANDRA-10890
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-10890
>             Project: Cassandra
>          Issue Type: Test
>          Components: CQL
>         Environment: centOS 6 
>            Reporter: Naveen Achyuta
>             Fix For: 3.0.x
>
>




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message